import 'package:json_annotation/json_annotation.dart';

part 'role.g.dart';


@JsonSerializable()
class RoleDTO {
  final String accountRef;
  final String organizationRef;
  final String descriptionRef;

  const RoleDTO({
    required this.accountRef,
    required this.descriptionRef,
    required this.organizationRef,
  });

  factory RoleDTO.fromJson(Map<String, dynamic> json) => _$RoleDTOFromJson(json);
  Map<String, dynamic> toJson() => _$RoleDTOToJson(this);  
}